﻿# .SYNOPSIS
# Mehrfach lokale Benutzer anlegen durch den Import aus einer CSV Datei
 
# .DESCRIPTION
# Import von Benutzer Daten aus einer CSV, Account anlegen, Benuter muss das Passwort
# beim ersten mal Anmelden ändern
 
# .PARAMETER
# $user, $Import
 
# .NOTES
# Author:Markus Elsberger
# Web:https://www.it-learner.de

# Importieren der Benutzerdaten
$Import =Import-CSV "c:\Benutzer.csv"

# Auslesen der Daten aus der CSV-Datei 
foreach ($user in $Import){

# Passwort in einen SecureString umwandeln
  $password = $user.password | ConvertTo-SecureString -AsPlainText -Force

# Die neuen Benutzer anlegen
 New-LocalUser -Name $user.name -NoPassword -FullName $user.fullname -Description $user.description |  Set-LocalUser -PasswordNeverExpires $false

 # Die Benutzer zur Gruppe der Benutzer hinzufügen
 Add-LocalGroupMember -Group Benutzer -Member $user.name
 }